---
sidebar_position: 6
description: Get upload status by URL and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get upload status by URL
 Gets the upload status of the file by URL



`Function GetUploadStatusByURL(Val Token, Val JobID) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | JobID | --job | String | &#x2714; | ID of async jsob from UploadFileByURL response |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Dropbox



```bsl title="1C:Enterprise/OneScript code example"
    Token  = "sl.u. ...";
    WorkID = "OrovaF3CvYoAAAAAAAAAAQ";
    Status = "in_progress";

    While Status = "in_progress" Do

        Result = OPI_Dropbox.GetUploadStatusByURL(Token, WorkID);
        Status = Result[".tag"];

        OPI_Tools.Pause(5);

    EndDo;
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox GetUploadStatusByURL \
             --token "***" \
             --job "AZGC1YesBhUAAAAAAAAAAQ"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox GetUploadStatusByURL ^
             --token "***" ^
             --job "AZGC1YesBhUAAAAAAAAAAQ"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 ".tag": "complete",
 "name": "url_doc.docx",
 "path_lower": "/new/url_doc.docx",
 "path_display": "/New/url_doc.docx",
 "id": "id:kJU6-a-pT48AAAAAAABixA",
 "client_modified": "***",
 "server_modified": "2025-12-10T19:44:53Z",
 "rev": "6459e431aaea5bd841553",
 "size": 24069,
 "is_downloadable": true,
 "content_hash": "8d63c5989ceec1a90f3fde2ffaa76efcd2c050191e6b55a1761e4e352590bd8c"
}
```
